# Update_Attribute_Group

Update an attribute group.

`PUT /v2/attribute-groups/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Attribute Groups
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Attribute%20Groups/Update_Attribute_Group/

## Description

Update the details of an attribute group.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the attribute group |

## Request Body

**Schema:** `AttributeGroupsResource`

CertCapture Attribute-Groups resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | AttributeGroups[] | No | Data wrapper |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `AttributeGroupsResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `AttributeGroupsResource`

CertCapture Attribute-Groups resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | AttributeGroups[] | No | Data wrapper |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/attribute-groups/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "data": {
    "created": "2017-10-26 12:41:48.377959",
    "description": "Joes Attribute Group",
    "id": 1,
    "modified": "2017-10-26 12:41:48.377959",
    "name": "United States",
    "system_code": "false"
  }
}'
```